> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Subscription Attributes

> Creates list of subscription attributes specified by subscription Id.



## OpenAPI

````yaml /openapi/openapi_subscription.json post /commerce/subscriptions/{subscriptionId}/attributes
openapi: 3.0.1
info:
  description: |-
    <div id="overview_SUBSCRIPTION">
                <h2>SUBSCRIPTIONS</h2>
                <p>The Subscription APIs are used to create and manage subscriptions in either an eCommerce+OMS implementation or a standalone 
                    Subscriptions solution. This includes updating items and quantities, subscription frequency, coupons, and performing actions 
                    on a subscription in addition to turning a subscription into an order. For more information, see the <a href="/pages/product-subscriptions">Subscriptions feature guide</a>.
                </p>
            </div>
  title: Subscriptions
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/subscriptions/{subscriptionId}/attributes:
    post:
      tags:
        - Subscription
      summary: Create Subscription Attributes
      description: Creates list of subscription attributes specified by subscription Id.
      parameters:
        - description: ''
          in: path
          name: subscriptionId
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              items:
                $ref: '#/components/schemas/SubscriptionRuntimeSubscriptionAttribute'
              type: array
        description: ''
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: >-
                    #/components/schemas/SubscriptionRuntimeSubscriptionAttribute
                type: array
            text/json:
              schema:
                items:
                  $ref: >-
                    #/components/schemas/SubscriptionRuntimeSubscriptionAttribute
                type: array
            text/plain:
              schema:
                items:
                  $ref: >-
                    #/components/schemas/SubscriptionRuntimeSubscriptionAttribute
                type: array
          description: OK
components:
  schemas:
    SubscriptionRuntimeSubscriptionAttribute:
      allOf:
        - $ref: '#/components/schemas/CommerceRuntimeOrderAttribute'
        - additionalProperties: false
          type: object
    CommerceRuntimeOrderAttribute:
      properties:
        attributeDefinitionId:
          format: int32
          nullable: true
          type: integer
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        fullyQualifiedName:
          nullable: true
          type: string
        values:
          items: {}
          nullable: true
          type: array
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````